Subject: RE: TimeStamp Optional in Notify ObservedEventsDescriptor

From: "Tom-PT Taylor" <[email-masked]>
Date: Wed, 18 Jul 2001 11:08:07 -0400

I cannot remember the original discussion on this one, and I'm a bit
surprised the timestamp is optional.  I'm a little concerned that a lack of
timestamp may present billing difficulties or make it difficult to work out
the actual sequence of events when the same eventsDesc results in a series
of reports.

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Thursday, June 21, 2001 10:22 PM
To: Terry L Anderson
Cc: Megaco Mailing List
Subject: Re: TimeStamp Optional in Notify ObservedEventsDescriptor

G'Day Terry,

No problem with the change as it aligns the procedures with the syntax.

Christian

Terry L Anderson wrote:
> 
> I believe that TimeStamp is intended to be optional in ObservedEvents
> Descriptor.  Both ABNF and ASN.1 have the element
> optional, but no where is this suggested in the text.  Section 7.1.17
> and 7.2.7 both mention time as one of the contents of ObservedEvents
> with no suggestion that it is optional.  If the intention was to make it
> optional, seems like the text should mention that.
> 
> Section 7.2.7 includes:
> 
>      Each event in the list is accompanied by parameters associated with
> the event and an indication of the time that the event
>      was detected.
> 
> which doesn't sound very optional and the statement in 7.1.17 includes
> it in a list where all other items are required.  If we agree it should
> be optional I suggest clarifying this through the Implementors Guide.
> 
> Sentence in 7.2.7 would read:
> 
>      Each event in the list is accompanied by parameters associated
>      with the event and optionally an indication of the time that
>      the event was detected.
> 
> 7.1.17 to read:
> 
>      ObservedEvents contains the RequestIdentifier of the
>      EventsDescriptor that triggered the notification, the event(s)
>      detected, optionally the detection time(s) and any parameters
>      of the event.
> 
> To be more complete I'm also suggested adding meantion of the parameters
> here.
> 
> Any objection?
> --
> ------------------------------------------------------------
> Terry L Anderson              mailto:[email-masked]
> Tel:908.582.7013   Fax:908.582.6729
> Lucent Technologies/INS/Voice Over IP Access Networks
> Rm 2B-121, 600 Mountain Av, Murray Hill, NJ 07974
> http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla